<template>
    <el-container>
      <el-aside>
        <basic-container style="height: 85vh; max-height: 155vh; overflow-y: scroll;">
<!--          树组件-->
          <master-tree @codeClassifyOid="codeClassifyOidList"
                       @coderuleoid="coderuleoidList"
                       :pageSize="this.pageSize"
                       :currentPage="this.currentPage"
                       @tableDataArray="tableDataArrays"
                       @tableHeadDataFateher="tableHeadDatas"
                       @total="totals"
                       @nodeClick="nodeClick"
                       @tableHeadFindData="tableHeadFindDatas"
                        ></master-tree>
        </basic-container>
      </el-aside>
      <el-main>
<!--        表格组件-->
      <VciMasterCrud :page="this.page"
                 :codeClassifyOid="this.codeClassifyOid"
                 :coderuleoid="this.coderuleoid"
                 @pageSize="pageSizes"
                 @currentPage="currentPages"
                 :tableDataArray="tableDataArray"
                 :total="this.total"
                 :tableHeadDataFateher="this.tableHeadDataFateher"
                 :isLoading="isLoading"
                 :templateOid="templateOid"
                 :tableHeadFindData="tableHeadFindData"
      ></VciMasterCrud>
      </el-main>
    </el-container>
</template>

<script>
export default {
  name: "items.vue",
  data(){
    return{
      // 分页
      page: {
        total: 0,
        currentPage: 1,
        pageSize: 10,
        pageSizes: [10, 30, 50, 100, 200],
      },
      pageSize:"10",
      currentPage:"1",
      codeClassifyOid:"",
      coderuleoid:"",
      templateOid:"",
      tableDataArray:[],
      tableHeadDataFateher:[],
      total:"",
      isLoading: false,
      tableHeadFindData:{}
    }
  },
  created() {
  },
  methods:{
    codeClassifyOidList(val){
      this.codeClassifyOid=val;
    },
    coderuleoidList(val){
      this.coderuleoid=val;
    },
    pageSizes(val){
      this.pageSize=val
    },
    currentPages(val){
      this.currentPage=val
    },
    tableDataArrays(val){
      this.tableDataArray=val
    },
    totals(val){
      this.total=val
    },
    tableHeadDatas(val){
      this.tableHeadDataFateher=val
    },
    tableHeadFindDatas(val){
      this.tableHeadFindData=val
    },
    nodeClick(val){
      this.templateOid=val;
      this.isLoading=true;
      setTimeout(() => {
        this.isLoading = false;
      }, 2000);
}
  }
}
</script>

<style scoped>

</style>
